use strict;
use warnings;
use Test::More;
use lib 't/lib';
use PScm::Test tests => 3;

BEGIN { use_ok('PScm') }

eval_ok(<<EOT, <<EOR, 'eval');
(eval '(* 2 2))
EOT
4
EOR

eval_ok(<<EOT, <<EOR, 'eval operates in the top-level environment');
(let ((* -))
  (eval '(* 3 3)))
EOT
9
EOR

# vim: ft=perl
